Subject: Re: bug#946: 23.0.60; html-mode regression ('' within a table)

From: martin rudalics <[email-masked]>
Date: Fri, 19 Sep 2008 08:30:43 +0200

>> Yes, but both inherit from `text-mode-syntax-table' IIUC.
 >
 > That's OK: sgml-tag-syntax-table is designed only to parse the inside of
 > html tags.

Just that `backward-sexp' also operates before a tag.

 > That's the only thing it should do, but it should do
 > it well.  So ' should definitely not have prefix syntax in it.
 > The inheritance relationship doesn't really matter.

So I'll take your word for it.

 >> Anyway, this and the `sgml-specials' stuff is too contrived for me so
 >> I better leave this to you ;-)
 >
 > That's fine, except I'm overwhelmed with other work these days and can't
 > get much Emacs work done.

OK, I checked in a fix along your suggestions.

martin